package config

import "git.oa00.com/go/mysql"

type Mysql struct {
	Username      string         `ini:"username"`
	Password      string         `ini:"password"`
	Host          string         `ini:"host"`
	Port          int            `ini:"port"`
	DbName        string         `ini:"dbName"`
	Prefix        string         `ini:"prefix"`
	Extend        string         `ini:"extend"`
	SingularTable bool           `ini:"singularTable"`
	LogColorful   bool           `ini:"logColorful"`
	LogLevel      mysql.LogLevel `ini:"logLevel"`
	MaxIdleConns  int            `ini:"maxIdleConns"`
	MaxOpenConns  int            `ini:"maxOpenConns"`
}
