package constant

import "time"

const (
	BrokerWechatToken = "broker:wechat:token:%s"
	BrokerAppleToken  = "broker:apple:token:%s"
	AppVersionHistory = "app:version:key:%s"
	SmSBrokerYzm      = "Sms:Broker:Yzm:%s"   // 短信验证码 %s = 手机号
	SmSCustomerYzm    = "Sms:Customer:Yzm:%s" // 短信验证码 %s = 手机号
)

// YzmCode @Title 短信验证码
type YzmCode struct {
	Code string `json:"code"`
	Time time.Time
}
