package customer

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/customer"
	"github.com/gin-gonic/gin"
)

type Trail struct {
}
type argsTrailAll struct {
	CustomerId uint `binding:"required" label:"客户"`
}

// All @Title 客户轨迹
func (t *Trail) All(c *gin.Context) {
	args := argsTrailAll{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	bean.Response.ResultSuc(c, "操作成功", customer.TrailLogic.All(args.CustomerId))
}
