package car

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/car"
	"github.com/gin-gonic/gin"
)

type Model struct {
}

type argsModelAll struct {
	SeriesId uint `binding:"required" label:"车系"`
}

// All @Title 车系下所有车型
func (m *Model) All(c *gin.Context) {
	args := argsModelAll{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	bean.Response.ResultSuc(c, "操纵成功", car.ModelLogic.All(args.SeriesId))
}
