package car

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/car"
	"github.com/gin-gonic/gin"
)

type Series struct {
}
type argsSeriesAll struct {
	BrandId uint `binding:"required" label:"品牌"`
}

// All @Title 品牌下所有车系
func (s *Series) All(c *gin.Context) {
	args := argsSeriesAll{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	bean.Response.ResultSuc(c, "操纵成功", car.SeriesLogic.All(args.BrandId))
}
