package business

import (
	"base/app/model"
	"git.oa00.com/go/mysql"
)

var RoleLogic = &roleLogic{}

type roleLogic struct {
}
type roleItem struct {
	Id       uint   `json:"id"`
	Name     string `json:"name"`
	Describe string `json:"describe"`
}

// All @Title 获取全部角色
func (r *roleLogic) All() (result []roleItem) {
	var roles []model.BrokerRole
	mysql.Db.Find(&roles)
	for _, role := range roles {
		result = append(result, roleItem{
			Id:       role.Id,
			Name:     role.Name,
			Describe: role.Describe,
		})
	}
	return
}
