package car

import (
	"base/app/model"
	"git.oa00.com/go/mysql"
)

var BannerLogic = &bannerLogic{}

type bannerLogic struct {
}
type bannerAllItem struct {
	Id    uint   `json:"id"`
	Image string `json:"image"` // 图片
	Path  string `json:"path"`  // 跳转路径
}

// All @Title 获取品牌
func (b *bannerLogic) All() (result []bannerAllItem) {
	var bannerList []model.BannerCustomerWxapp
	mysql.Db.Order("sort desc,id desc").Find(&bannerList)
	for _, banner := range bannerList {
		bannerItem := bannerAllItem{
			Id:    banner.Id,
			Image: banner.Image,
			Path:  banner.Path,
		}
		result = append(result, bannerItem)
	}
	return
}
