package record

import (
	"base/app/model"
	"errors"
	"gorm.io/gorm"
	"time"
)

var InviteLogic = &inviteLogic{}

type inviteLogic struct {
}
type InviteData struct {
	CustomerId uint
	BrokerId   uint
	Type       uint
	InviteAt   time.Time
}

// Add @Title 添加邀约
func (i *inviteLogic) Add(tx *gorm.DB, data InviteData) error {
	invite := model.CustomerInvite{
		CustomerId: data.CustomerId,
		BrokerId:   data.BrokerId,
		Type:       data.Type,
		InviteAt:   data.InviteAt,
	}
	if tx.Create(&invite).Error != nil {
		return errors.New("系统错误")
	}
	return nil
}
