package user

import (
	"base/app/model"
	"github.com/gin-gonic/gin"
)

var UserLogic = &userLogic{}

type userLogic struct {
}

// GetCustomerId @Title 获取登录账号id
func (u *userLogic) GetCustomerId(c *gin.Context) (customerId uint) {
	if val, ok := c.Get("customerId"); ok && val != nil {
		customerId, _ = val.(uint)
	}
	return customerId
}

// GetCustomerInfo @Title 获取客户账号信息
func (u *userLogic) GetCustomerInfo(c *gin.Context) (customer model.Customer) {
	if val, ok := c.Get("customer"); ok && val != nil {
		customer, _ = val.(model.Customer)
	}
	return
}
