package model

const (
	AreaLevelProvince = 1 // 省
	AreaLevelCity     = 2 // 市
	AreaLevelArea     = 3 // 区
)

type Area struct {
	Id       uint   `gorm:"primaryKey"`
	Name     string // 名称
	Code     string // 编码
	Level    uint   // 等级 1=省 2=市 3=区
	ParentId uint   // 上级id
	Parent   *Area  `gorm:"foreignKey:ParentId"`
}
