package model

import (
	"gorm.io/gorm"
	"time"
)

type BrokerAppHandbookItem struct {
	Id         uint   `gorm:"primaryKey"`
	HandbookId uint   // 手册类型id
	Name       string // 标题
	Content    string // 内容
	Sort       uint   // 排序
	CreatedAt  time.Time
	UpdatedAt  time.Time
	DeletedAt  gorm.DeletedAt
}
