package model

import (
	"gorm.io/gorm"
	"time"
)

type BrokerBusinessStoreDepartment struct {
	Id        uint                       `gorm:"primaryKey"`
	StoreId   uint                       // 门店id
	Name      string                     // 部门名称
	Staffs    []BrokerBusinessStoreStaff `gorm:"foreignKey:DepartmentId"`
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt gorm.DeletedAt
}
