package model

import (
	"time"
)

const (
	BrokerCertifyStatusIng  = 1 // 认证中
	BrokerCertifyStatusSuc  = 2 // 认证成功
	BrokerCertifyStatusFail = 3 // 认证失败
)

type BrokerCertify struct {
	Id          uint   `gorm:"primaryKey"`
	CertifyNo   string // 认证编号
	BrokerId    uint   // 经纪人id
	Name        string // 姓名
	IdCard      string // 身份证号
	IdCardFront string // 身份证正面
	IdCardBack  string // 身份证背面
	CertifyId   string // 支付宝认证id
	Status      uint   // 状态 1=认证中 2=认证成功 3=认证失败
	CreatedAt   time.Time
	UpdatedAt   time.Time
}
