package model

import (
	"time"
)

type BrokerClosely struct {
	Id              uint   `gorm:"primaryKey"` // 主键
	BrokerId        uint   // 经纪人id
	Broker          Broker `gorm:"foreignKey:BrokerId"`
	CloselyBrokerId uint   // 常用联系人id
	CloselyBroker   Broker `gorm:"foreignKey:CloselyBrokerId"`
	CreatedAt       time.Time
}
