package model

import (
	"time"
)

type BrokerPartner struct {
	Id         uint      `gorm:"primaryKey"`
	BrokerId   uint      // 经纪人id
	Broker     Broker    `gorm:"foreignKey:BrokerId"`
	ExpireDate time.Time // 到期日期
	CreatedAt  time.Time
	UpdatedAt  time.Time
}
