package model

import (
	"time"
)

const (
	WalletAssessKindEstimate = 1 // 评估次数
	WalletAssessKindContract = 2 // 合同数量
)

type BrokerWalletAssess struct {
	Id         uint `gorm:"primaryKey"`
	BrokerId   uint // 经纪人 id
	Kind       uint // 余量种类1=评估2=合同
	TotalCount int  // 累计次数
	Count      int  // 当前剩余次数
	UseCount   int  // 已使用次数
	CreatedAt  time.Time
	UpdatedAt  time.Time
}
