package model

import (
	"time"
)

type CarSeriesGroup struct {
	Id            uint `gorm:"primaryKey"`
	BrandId       uint // 品牌id
	SeriesGroupId uint
	Name          string      // 车系组名称
	Series        []CarSeries `gorm:"foreignKey:GroupId;references:SeriesGroupId"`
	CreatedAt     time.Time
	UpdatedAt     time.Time
}
