package model

import (
	"gorm.io/gorm"
	"time"
)

type CustomerCollectCar struct {
	Id         uint `gorm:"primaryKey"`
	CustomerId uint // 客户id
	CarId      uint // 车辆id
	Car        Car  `gorm:"foreignKey:CarId"`
	CreatedAt  time.Time
	UpdatedAt  time.Time
	DeletedAt  gorm.DeletedAt
}
