package model

import (
	"time"
)

const (
	CustomerInviteTypeInvite  = 1 // 看车
	CustomerInviteTypeReserve = 2 // 检车
)

type CustomerInvite struct {
	Id         uint      `gorm:"primaryKey"`
	CustomerId uint      // 客户id
	Customer   Customer  `gorm:"foreignKey:CustomerId"`
	BrokerId   uint      // 经纪人id
	Type       uint      // 邀约类型 1=看车 2=检车
	InviteAt   time.Time // 预约时间
	InviteId   uint      // 预约id
	CreatedAt  time.Time
}
