package model

import (
	"gorm.io/gorm"
	"time"
)

type Feedback struct {
	Id        uint   `gorm:"primaryKey"`
	BrokerId  uint   // 经纪人id
	Name      string // 昵称
	Title     string // 标题
	Content   string // 内容
	Phone     string // 联系方式
	Img       string // 图片
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt gorm.DeletedAt
}
