package model

import (
	"time"
)

const (
	OrderConsignmentHistoryTypeCreate = 1 // 创建订单

	OrderConsignmentHistoryUserTypeBroker   = 1 // 车务
	OrderConsignmentHistoryUserTypeCustomer = 2 // 客户
)

type OrderConsignmentHistory struct {
	Id        uint `gorm:"primaryKey"`
	OrderId   uint // 订单id
	Type      uint // 操作类型 1=创建订单
	UserId    uint // 操作人员id
	UserType  uint // 操作人员类型  1=车务 2=客户
	CreatedAt time.Time
	UpdatedAt time.Time
}
