package model

import (
	"github.com/shopspring/decimal"
	"time"
)

type OrderConsignmentPayment struct {
	Id            uint            `gorm:"primaryKey"`
	OrderId       uint            // 订单id
	Amount        decimal.Decimal // 金额
	Proof         string          // 支付凭证
	CreatedUserId uint            // 操作人id
	CreatedAt     time.Time
	UpdatedAt     time.Time
}
