package model

const (
	OrderDealerConsignmentCarPhotoTypeCar      = 1 // 车辆照片
	OrderDealerConsignmentCarPhotoTypeInterior = 2 // 内饰照片
	OrderDealerConsignmentCarPhotoTypeDefect   = 3 // 缺陷照片
	OrderDealerConsignmentCarPhotoTypeData     = 4 // 资料照片
)

type OrderDealerConsignmentCarPhoto struct {
	Id      uint   `gorm:"primaryKey"`
	OrderId uint   // 订单id
	Path    string // 图片地址
	Type    uint   // 车辆类型 1=车辆照片 2=内饰照片 3=缺陷照片 4=资料照片
}
