package model

import (
	"time"
)

type OrderReserve struct {
	Id         uint             `gorm:"primaryKey"`
	CustomerId uint             // 客户id
	BrokerId   uint             // 经纪人id
	PriceId    uint             // 价格id
	Price      CustomerCarPrice `gorm:"foreignKey:Id;references:PriceId"`
	ReserveAt  time.Time        // 邀约时间
	Address    string           // 邀约地址
	CreatedAt  time.Time
	UpdatedAt  time.Time
}
