package model

import (
	"time"
)

type OrderSaleTransfer struct {
	Id                       uint   `gorm:"primaryKey"`
	OrderId                  uint   // 订单id
	Certificate              string // 登记证书
	VehicleLicense           string // 行驶证
	Invoice                  string // 发票
	GuaranteeSlip            string // 保单
	CompulsoryInsuranceProof string // 交强险凭证
	CommercialInsuranceProof string // 商业险凭证
	CreatedAt                time.Time
	UpdatedAt                time.Time
}
