package model

import "github.com/shopspring/decimal"

type SettingSystem struct {
	Id              uint            `gorm:"primaryKey"`
	BankAccountName string          // 开户名
	BankName        string          // 开户行
	BankAccount     string          // 账户
	CarPriceRate    decimal.Decimal // 估价系数
}
