package model

import (
	"github.com/shopspring/decimal"
	"time"
)

type SplitAccountBill struct {
	Id          uint            `gorm:"primaryKey"`
	AccountId   uint            // 分账id
	Name        string          // 账目名称
	Description string          // 账目描述
	BrokerId    uint            //  添加人
	Broker      Broker          `gorm:"foreignKey:BrokerId"`
	Amount      decimal.Decimal // 金额
	CreatedAt   time.Time
}
