package customer

import (
	"base/app/lib/bean"
	"base/app/model"
	"git.oa00.com/go/mysql"
)

var InviteLogic = &inviteLogic{}

type inviteLogic struct {
}
type inviteCount struct {
	Total int64 `json:"total"`
}

// Count @Title 邀请客户数量
func (i *inviteLogic) Count(brokerIds []uint) (result inviteCount) {
	customer := model.Customer{}
	mysql.Db.Model(&customer).Where("broker_id in ?", brokerIds).Count(&result.Total)
	return
}

type InviteListsSearch struct {
}

type InviteListsOrder struct {
}
type inviteListsItem struct {
}

// Lists @Title 邀请客户列表
func (i *inviteLogic) Lists(brokerIds []uint, search InviteListsSearch, order InviteListsOrder, page bean.Page) (lists []inviteListsItem, total int64) {
	lists = []inviteListsItem{}
	var customers []model.Customer
	where := mysql.Db.Where("broker_id in ?", brokerIds)
	mysql.Db.Model(&customers).Where(where).Count(&total)
	if page.HasPage(total) {
		mysql.Db.Where(where).Offset(page.GetStart()).Limit(page.GetLimit()).Find(&customers)
	}
	return
}
