package setting

import (
	"base/app/lib/bean"
	"base/app/model"
	"git.oa00.com/go/mysql"
)

var SaleLogic = &saleLogic{}

type saleLogic struct {
}

// Select @Title 业务员筛选
func (s *saleLogic) Select() (result []bean.SelectItem) {
	result = []bean.SelectItem{}
	var manages []model.Manage
	mysql.Db.Where("role_id in (?)", mysql.Db.Select("role_id").Model(&model.SettingRoleSale{})).Find(&manages)
	for _, manage := range manages {
		result = append(result, bean.SelectItem{
			Id:   manage.Id,
			Name: manage.Name,
		})
	}
	return
}

// Ver @Title 验证业务员
func (s *saleLogic) Ver(saleId uint) bool {
	manage := model.Manage{Id: saleId}
	if mysql.Db.Where("role_id in (?)", mysql.Db.Select("role_id").Model(&model.SettingRoleSale{})).First(&manage).Error != nil {
		return false
	}
	return true
}
