package model

import (
	"time"
)

type App struct {
	Id                uint   `gorm:"primaryKey"`
	Name              string // 应用名称
	Key               string // 应用标识
	Path              string // 更新地址
	Content           string // 版本描述
	AndroidVersion    uint   // 安卓版本号
	AndroidVersionMin uint   // 安卓最低版本号
	IphoneVersion     uint   // 苹果版本号
	IphoneVersionMax  uint   // 苹果最低版本号
	CreatedAt         time.Time
	UpdatedAt         time.Time
}
