package model

import (
	"time"
)

const (
	AppHistoryTypeAndroid = 1 // 安卓
	AppHistoryTypeIos     = 1 // ios
)

type AppHistory struct {
	Id        uint   `gorm:"primaryKey"`
	AppId     uint   // 应用id
	Type      uint   // 应用类型 1=安卓 2=ios
	Path      string // 更新地址
	Content   string // 版本描述
	Version   uint   // 版本号
	CreatedAt time.Time
}
