package model

import (
	"time"
)

type BannerBrokerApp struct {
	Id            uint   `gorm:"primaryKey"`
	Image         string // 图片
	Status        uint   // 状态 1=启用 2=停用
	Sort          uint   // 排序
	CreatedUserId uint   // 创建人
	CreatedUser   Manage `gorm:"foreignKey:CreatedUserId"`
	Path          string // 跳转路径
	CreatedAt     time.Time
	UpdatedAt     time.Time
}
