package model

import (
	"time"
)

const (
	BrokerBusinessStoreAuditingStatusSubmit = 1 // 提交审核
	BrokerBusinessStoreAuditingStatusSuc    = 2 // 审核通过
	BrokerBusinessStoreAuditingStatusFail   = 3 // 审核驳回
)

type BrokerBusinessStoreAuditing struct {
	Id             uint   `gorm:"primaryKey"`
	StoreId        uint   // 入驻商门店id
	AuditingUserId uint   // 审核人
	AuditingUser   Manage `gorm:"foreignKey:AuditingUserId"`
	AuditingStatus uint   // 审核状态
	Reason         string // 驳回原因
	CreatedAt      time.Time
}
