package model

import (
	"gorm.io/gorm"
	"time"
)

type BrokerCollectCar struct {
	Id        uint `gorm:"primaryKey"`
	BrokerId  uint // 经纪人id
	CarId     uint // 车辆id
	Car       Car  `gorm:"foreignKey:CarId"`
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt gorm.DeletedAt
}
