package model

import (
	"time"
)

type BrokerPartnerHistory struct {
	Id         uint      `gorm:"primaryKey"`
	BrokerId   uint      // 经纪人id
	OrderId    uint      // 合伙人订单id
	ContractId uint      // 合伙人合同
	StartDate  time.Time // 开始日期
	EndDate    time.Time // 截止日期
	CreatedAt  time.Time
	UpdatedAt  time.Time
}
