package model

import (
	"time"
)

const (
	CustomerBrowseCarChannelWxapp = 1 // 微信小程序
)

type CustomerBrowseCar struct {
	Id         uint `gorm:"primaryKey"`
	CarId      uint // 车辆id
	Car        Car  `gorm:"CarId"`
	CustomerId uint // 客户id
	ShareId    uint // 分享人
	Channel    uint // 渠道 1=微信小程序
	CreatedAt  time.Time
}
