package model

import (
	"time"
)

const (
	CustomerWalletAssessHistoryRecharge = 1 // 充值
	CustomerWalletAssessHistoryAssess   = 2 // 评估车辆
)

type CustomerWalletAssessHistory struct {
	Id         uint `gorm:"primaryKey"`
	CustomerId uint // 客户
	Type       uint // 类型 1=充值 2=评估车辆
	OrderId    uint // 操作id
	Count      int  // 操作次数
	CreatedAt  time.Time
	UpdatedAt  time.Time
}
