package model

import (
	"time"
)

const (
	ManageStatusEnabled  = 1 // 正常
	ManageStatusDisabled = 2 // 停用
)

type Manage struct {
	Id        uint        `gorm:"primaryKey"`
	Name      string      // 姓名
	Phone     string      // 手机号
	Account   string      // 账号
	Salt      string      // 加盐
	Password  string      // 密码
	Status    uint        // 账号状态 1=正常 2=停用
	RoleId    uint        // 角色id
	Role      SettingRole `gorm:"foreignKey:RoleId"`
	CreatedAt time.Time
	UpdatedAt time.Time
}
