package model

import (
	"database/sql"
	"time"
)

type OrderConsignmentCarAudit struct {
	Id          uint         `gorm:"primaryKey"`
	OrderCarId  uint         // 订单车辆id
	Type        uint         // 1=申请发布 2=申请上架 3=申请下架 4=后台上架 5=后台下架 0=未知
	Status      uint         // 1=未审核 2=审核通过 3=审核驳回
	AuditAt     sql.NullTime // 审核时间
	Reason      string       // 驳回原因
	AuditUserId uint         // 审核人
	AuditUser   Manage       `gorm:"foreignKey:AuditUserId"`
	CreatedAt   time.Time
	UpdatedAt   time.Time
}
