package model

import (
	"time"
)

type PopularizeCarBrand struct {
	Id            uint     `gorm:"primaryKey"`
	BrandId       uint     // 品牌id
	Brand         CarBrand `gorm:"foreignKey:BrandId"`
	Sort          uint     // 排序
	CreatedUserId uint     // 添加人
	CreatedUser   Manage   `gorm:"foreignKey:CreatedUserId"`
	CreatedAt     time.Time
	UpdatedAt     time.Time
}
