package model

import (
	"gorm.io/gorm"
	"time"
)

type SettingRole struct {
	Id        uint              `gorm:"primaryKey"`
	Name      string            // 角色名
	Remark    string            // 备注
	Manage    SettingRoleManage `gorm:"foreignKey:RoleId"`
	Sale      SettingRoleSale   `gorm:"foreignKey:RoleId"`
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt gorm.DeletedAt
}
